set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="pit_design1.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "STR MATHS" {
  frm00700={
    {
      _action="display"
      file_loc="pit_design"
      file_id="1"
      result_loc="pit_new"
      main=table { str_range constraint field expr } {
        { "" "" "x" "x+10000" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
      }
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="pit_new1.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "ZOOM ALL" {} ]

set status [ SclFunction "DYNAMIC GRID ON" {} ]

puts ""
puts ""
puts "Macro 05b_string_maths2.tcl completed"
puts ""
